#ifndef SYSCALL_DEV_H_
#define SYSCALL_DEV_H_

#include <stdint.h>
#include <stddef.h>
#include "syscall.h"

int32_t SYSCALL2(sys_dev_gethandle, dev1, devname1);
int32_t SYSCALL0(sys_dev_listsize);
int32_t SYSCALL2(sys_dev_stat, devstat1, idx1);
int32_t SYSCALL4(sys_dev_cmd, dev1, cmd1, argbuf1, len1);

#endif // SYSCALL_DEV_H_
